opensaml::RootObject Class Referenceabstract

Base class for SAML objects at the root of core schemas. More...

`#include <saml/RootObject.h>`

Inheritance diagram for opensaml::RootObject:
[legend]
Collaboration diagram for opensaml::RootObject:
[legend]

## Public Member Functions

virtual const XMLCh * | getID () const =0
| Returns the unique SAML ID of the object.
virtual const xercesc::XMLDateTime * | getIssueInstant () const =0
| Returns the timestamp of the object.
virtual time_t | getIssueInstantEpoch () const =0
| Returns the timestamp of the object as an epoch.
Public Member Functions inherited from opensaml::SignableObject
virtual xmlsignature::Signature * | getSignature () const =0
| Returns the enveloped Signature from the object.
virtual void | setSignature (xmlsignature::Signature *sig)=0
| Sets an enveloped Signature in the object.

## Additional Inherited Members

Protected Member Functions inherited from opensaml::SignableObject
void | declareNonVisibleNamespaces () const
| Search the object for non-visible namespaces, and pin them on the root of the object where necessary, adding them to the inclusive prefix list for signing purposes.

## Detailed Description

Base class for SAML objects at the root of core schemas.

Root objects are signable, and have message identifiers and timestamps.

## Member Function Documentation

## getID()

virtual const XMLCh * opensaml::RootObject::getID | ( |  | ) | const

pure virtual

Returns the unique SAML ID of the object.

Returns
  the unique SAML ID

## getIssueInstant()

virtual const xercesc::XMLDateTime * opensaml::RootObject::getIssueInstant | ( |  | ) | const

pure virtual

Returns the timestamp of the object.

Returns
  the timestamp

## getIssueInstantEpoch()

virtual time_t opensaml::RootObject::getIssueInstantEpoch | ( |  | ) | const

pure virtual

Returns the timestamp of the object as an epoch.

Returns
  the timestamp

The documentation for this class was generated from the following file:

- saml/RootObject.h